import request from '@/utils/request'

// 获取接入配置列表
export function getTabAccessConfigList (query) {
  return request({
    url: '/web/tab-access-config/getTabAccessConfigList',
    method: 'get',
    params: query
  })
}

export function addTabAccessConfig (data) {
  return request({
    url: '/web/tab-access-config/insertTabAccessConfig',
    method: 'post',
    data: data
  })
}

export function updateTabAccessConfigById (data) {
  return request({
    url: '/web/tab-access-config/updateTabAccessConfigById',
    method: 'put',
    data: data
  })
}

export function viewTabAccessConfigById (id) {
  return request({
    url: `/web/tab-access-config/getTabAccessConfigById/${id}`,
    method: 'get',
  })
}

export function delTabAccessConfigById (id) {
  return request({
    url: `/web/tab-access-config/falseDeleteTabAccessConfigById/${id}`,
    method: 'put',
  })
}
export function exportTabAccessConfig (data) {
  return request({
    url: '/web/tab-access-config/export',
    method: 'post',
    data: data
  })
}